org.apache.felix.fileinstall

## Interface ArtifactUrlTransformer

All Superinterfaces:
  ArtifactListener

    public interface ArtifactUrlTransformer
    extends ArtifactListener

Objects implementing this interface are able to convert certain kind of artifacts to OSGi bundles on the fly through an URL handler. This kind of artifact listener should be favored over the `ArtifactTransformer` because it allows the use of the OSGi update feature on bundles.

### Method Summary

All Methods Instance Methods Abstract Methods
`URL` `transform(URL artifact)` Process the given file (canHandle returned true previously) Can return <null> or a pointer to a transformed file.

### Methods inherited from interface org.apache.felix.fileinstall.ArtifactListener

`canHandle`

### Method Detail

#### transform

    URL transform(URL artifact)
           throws Exception

Process the given file (canHandle returned true previously) Can return <null> or a pointer to a transformed file.

Throws:
  `Exception`